/asana-utilities | Type: Application | PCID required: Yes
Tools
asana_utilities_approve_access_request
Approve an access request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
access_request_gid | string | Yes | — | Globally unique identifier for the access request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"access_request_gid": {
"type": "string",
"description": "Globally unique identifier for the access request."
}
},
"required": [
"PCID",
"access_request_gid"
]
}
asana_utilities_create_access_request
Create an access request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | No | — | A request to create shareable access for a user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "A request to create shareable access for a user.",
"properties": {
"target": {
"type": "string",
"description": "The access requestable object that the user is requesting access to. This is the gid of the target. Supports projects and portfolios."
},
"message": {
"type": "string",
"description": "The optional message to include with the access request. This can be used to provide context or additional information about the request."
}
},
"required": [
"target"
]
}
},
"required": [
"PCID"
]
}
asana_utilities_create_attachment_for_object
Upload an attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
connect_to_app | boolean | No | — | Optional. Only relevant for external attachments with a parent task. A boolean indicating whether the current app should be connected with the attachment for the purposes of showing an app components widget. Requires the app to have been added to a project the parent task is in. This property can only be set if an OAuth token is used to authenticate the request. Criteria for displaying app widget: 1. An OAuth token must be used to authenticate the request 2. The app needs to have its widget_metadata_url configured in the developer console 3. The task the attachment is being attached to must be in a project with the app installed |
file | string | No | — | Required for asana attachments. |
name | string | No | — | The name of the external resource being attached. Required for attachments of type external. |
parent | string | Yes | — | Required identifier of the parent task, project, or project_brief, as a string. |
resource_subtype | string | No | — | The type of the attachment. Must be one of the given values. If not specified, a file attachment of type asana will be assumed. Note that if the value of resource_subtype is external, a parent, name, and url must also be provided. |
url | string | No | — | The URL of the external resource being attached. Required for attachments of type external. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"connected_to_app",
"created_at",
"download_url",
"host",
"name",
"parent",
"parent.created_by",
"parent.name",
"parent.resource_subtype",
"permanent_url",
"resource_subtype",
"size",
"view_url"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"connect_to_app": {
"type": "boolean",
"description": "*Optional*. Only relevant for external attachments with a parent task. A boolean indicating whether the current app should be connected with the attachment for the purposes of showing an app components widget. Requires the app to have been added to a project the parent task is in. This property can only be set if an OAuth token is used to authenticate the request. Criteria for displaying app widget: 1. An OAuth token must be used to authenticate the request 2. The app needs to have its `widget_metadata_url` configured in the developer console 3. The task the attachment is being attached to must be in a project with the app installed"
},
"file": {
"type": "string",
"description": "Required for `asana` attachments."
},
"name": {
"type": "string",
"description": "The name of the external resource being attached. Required for attachments of type `external`."
},
"parent": {
"type": "string",
"description": "Required identifier of the parent task, project, or project_brief, as a string."
},
"resource_subtype": {
"type": "string",
"description": "The type of the attachment. Must be one of the given values. If not specified, a file attachment of type `asana` will be assumed. Note that if the value of `resource_subtype` is `external`, a `parent`, `name`, and `url` must also be provided.",
"enum": [
"asana",
"external"
]
},
"url": {
"type": "string",
"description": "The URL of the external resource being attached. Required for attachments of type `external`."
}
},
"required": [
"PCID",
"parent"
]
}
asana_utilities_create_batch_request
Submit parallel requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | A request object for use in a batch request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"body",
"headers",
"status_code"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "A request object for use in a batch request.",
"properties": {
"actions": {
"type": "array",
"items": {
"type": "object"
},
"description": "The actions value"
}
}
}
},
"required": [
"PCID"
]
}
asana_utilities_create_graph_export
Initiate a graph export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | No | — | A graph_export request starts a job to export data starting from a parent object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "A *graph_export* request starts a job to export data starting from a parent object.",
"properties": {
"parent": {
"type": "string",
"description": "Globally unique ID of the parent object: goal, project, portfolio, or team."
}
}
}
},
"required": [
"PCID"
]
}
asana_utilities_create_organization_export
Create an organization export request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | An organization_export request starts a job to export the complete data of the given Organization. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"download_url",
"organization",
"organization.name",
"state"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "An *organization_export* request starts a job to export the complete data of the given Organization.",
"properties": {
"organization": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
}
}
}
},
"required": [
"PCID"
]
}
asana_utilities_create_resource_export
Initiate a resource export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | No | — | A resource_export request starts a job to bulk export objects for one or more resources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "A *resource_export* request starts a job to bulk export objects for one or more resources.",
"properties": {
"workspace": {
"type": "string",
"description": "Gid of a workspace."
},
"export_request_parameters": {
"type": "array",
"items": {
"type": "object"
},
"description": "An object containing the parameters for the export request. The keys of this object are the GIDs of the resources to be exported. The values are objects with additional parameters for each resource."
}
}
}
},
"required": [
"PCID"
]
}
asana_utilities_create_status_for_object
Create a status update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"created_at",
"created_by",
"created_by.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"liked",
"likes",
"likes.user",
"likes.user.name",
"modified_at",
"num_hearts",
"num_likes",
"parent",
"parent.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"status_type",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"description": "The data value"
}
},
"required": [
"PCID"
]
}
asana_utilities_create_timesheet_approval_status
Create a timesheet approval status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | A request to create a timesheet approval status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"created_at",
"end_date",
"start_date",
"user",
"user.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "A request to create a timesheet approval status.",
"properties": {
"user": {
"type": "string",
"description": "Globally unique identifier for the user whose timesheet this is."
},
"workspace": {
"type": "string",
"description": "Globally unique identifier for the workspace."
},
"start_date": {
"type": "string",
"description": "The start date of the timesheet week (must be a Monday)."
},
"end_date": {
"type": "string",
"description": "The end date of the timesheet week (must be the following Sunday)."
}
},
"required": [
"user",
"workspace",
"start_date",
"end_date"
]
}
},
"required": [
"PCID"
]
}
asana_utilities_create_webhook
Establish a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"active",
"created_at",
"delivery_retry_count",
"failure_deletion_timestamp",
"filters",
"filters.action",
"filters.fields",
"filters.resource_subtype",
"last_failure_at",
"last_failure_content",
"last_success_at",
"next_attempt_after",
"resource",
"resource.name",
"target"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"resource": {
"type": "string",
"description": "A resource ID to subscribe to. Many Asana resources are valid to create webhooks on, but higher-level resources require filters."
},
"target": {
"type": "string",
"description": "The URL to receive the HTTP POST. The full URL will be used to deliver events from this webhook (including parameters) which allows encoding of application-specific state when the webhook is created."
},
"filters": {
"type": "array",
"description": "An array of WebhookFilter objects to specify a whitelist of filters to apply to events from this webhook. If a webhook event passes any of the filters the event will be delivered; otherwise no event will be sent to the receiving server."
}
},
"required": [
"resource",
"target"
]
}
},
"required": [
"PCID"
]
}
asana_utilities_delete_attachment
Delete an attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attachment_gid | string | Yes | — | Globally unique identifier for the attachment. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"attachment_gid": {
"type": "string",
"description": "Globally unique identifier for the attachment."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"attachment_gid"
]
}
asana_utilities_delete_status
Delete a status update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
status_update_gid | string | Yes | — | The status update to get. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"status_update_gid": {
"type": "string",
"description": "The status update to get."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"status_update_gid"
]
}
asana_utilities_delete_webhook
Delete a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_gid | string | Yes | — | Globally unique identifier for the webhook. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_gid": {
"type": "string",
"description": "Globally unique identifier for the webhook."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
}
},
"required": [
"PCID",
"webhook_gid"
]
}
asana_utilities_get_access_requests
Get access requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
target | string | Yes | — | Globally unique identifier for the target object. |
user | string | No | — | A string identifying a user. This can either be the string “me”, an email, or the gid of a user. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"target": {
"type": "string",
"description": "Globally unique identifier for the target object."
},
"user": {
"type": "string",
"description": "A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"message",
"requester",
"requester.name",
"target"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"target"
]
}
asana_utilities_get_attachment
Get an attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attachment_gid | string | Yes | — | Globally unique identifier for the attachment. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"attachment_gid": {
"type": "string",
"description": "Globally unique identifier for the attachment."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"connected_to_app",
"created_at",
"download_url",
"host",
"name",
"parent",
"parent.created_by",
"parent.name",
"parent.resource_subtype",
"permanent_url",
"resource_subtype",
"size",
"view_url"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"attachment_gid"
]
}
asana_utilities_get_attachments_for_object
Get attachments from an object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
parent | string | Yes | — | Globally unique identifier for object to fetch statuses from. Must be a GID for a project, project_brief, or task. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"parent": {
"type": "string",
"description": "Globally unique identifier for object to fetch statuses from. Must be a GID for a `project`, `project_brief`, or `task`."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"connected_to_app",
"created_at",
"download_url",
"host",
"name",
"offset",
"parent",
"parent.created_by",
"parent.name",
"parent.resource_subtype",
"path",
"permanent_url",
"resource_subtype",
"size",
"uri",
"view_url"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"parent"
]
}
asana_utilities_get_audit_log_events
Get audit log events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspace_gid | string | Yes | — | Globally unique identifier for the workspace or organization. |
start_at | string | No | — | Filter to events created after this time (inclusive). |
end_at | string | No | — | Filter to events created before this time (exclusive). |
event_type | string | No | — | Filter to events of this type. Refer to the supported audit log events for a full list of values. |
actor_type | string | No | — | Filter to events with an actor of this type. This only needs to be included if querying for actor types without an ID. If actor_gid is included, this should be excluded. |
actor_gid | string | No | — | Filter to events triggered by the actor with this ID. |
resource_gid | string | No | — | Filter to events with this resource ID. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspace_gid": {
"type": "string",
"description": "Globally unique identifier for the workspace or organization."
},
"start_at": {
"type": "string",
"description": "Filter to events created after this time (inclusive)."
},
"end_at": {
"type": "string",
"description": "Filter to events created before this time (exclusive)."
},
"event_type": {
"type": "string",
"description": "Filter to events of this type. Refer to the [supported audit log events](/docs/audit-log-events#supported-audit-log-events) for a full list of values."
},
"actor_type": {
"type": "string",
"description": "Filter to events with an actor of this type. This only needs to be included if querying for actor types without an ID. If `actor_gid` is included, this should be excluded.",
"enum": [
"user",
"asana",
"asana_support",
"anonymous",
"external_administrator"
]
},
"actor_gid": {
"type": "string",
"description": "Filter to events triggered by the actor with this ID."
},
"resource_gid": {
"type": "string",
"description": "Filter to events with this resource ID."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
}
},
"required": [
"PCID",
"workspace_gid"
]
}
asana_utilities_get_events
Get events on a resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
resource | string | Yes | — | A resource ID to subscribe to. The resource can be a task, project, or goal. |
sync | string | No | — | A sync token received from the last request, or none on first sync. Events will be returned from the point in time that the sync token was generated. Note: On your first request, omit the sync token. The response will be the same as for an expired sync token, and will include a new valid sync token.If the sync token is too old (which may happen from time to time) the API will return a 412 Precondition Failed error, and include a fresh sync token in the response. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"resource": {
"type": "string",
"description": "A resource ID to subscribe to. The resource can be a task, project, or goal."
},
"sync": {
"type": "string",
"description": "A sync token received from the last request, or none on first sync. Events will be returned from the point in time that the sync token was generated. *Note: On your first request, omit the sync token. The response will be the same as for an expired sync token, and will include a new valid sync token.If the sync token is too old (which may happen from time to time) the API will return a `412 Precondition Failed` error, and include a fresh sync token in the response.*"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"action",
"change",
"change.action",
"change.added_value",
"change.field",
"change.new_value",
"change.removed_value",
"created_at",
"parent",
"parent.name",
"resource",
"resource.name",
"type",
"user",
"user.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"resource"
]
}
asana_utilities_get_job
Get a job by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
job_gid | string | Yes | — | Globally unique identifier for the job. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"job_gid": {
"type": "string",
"description": "Globally unique identifier for the job."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"new_graph_export",
"new_graph_export.completed_at",
"new_graph_export.created_at",
"new_graph_export.download_url",
"new_portfolio",
"new_portfolio.name",
"new_project",
"new_project.name",
"new_project_template",
"new_project_template.name",
"new_resource_export",
"new_resource_export.completed_at",
"new_resource_export.created_at",
"new_resource_export.download_url",
"new_task",
"new_task.created_by",
"new_task.name",
"new_task.resource_subtype",
"resource_subtype",
"status"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"job_gid"
]
}
asana_utilities_get_organization_export
Get details on an org export request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
organization_export_gid | string | Yes | — | Globally unique identifier for the organization export. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"organization_export_gid": {
"type": "string",
"description": "Globally unique identifier for the organization export."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"created_at",
"download_url",
"organization",
"organization.name",
"state"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"organization_export_gid"
]
}
asana_utilities_get_status
Get a status update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
status_update_gid | string | Yes | — | The status update to get. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"status_update_gid": {
"type": "string",
"description": "The status update to get."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"created_at",
"created_by",
"created_by.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"liked",
"likes",
"likes.user",
"likes.user.name",
"modified_at",
"num_hearts",
"num_likes",
"parent",
"parent.name",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"status_type",
"text",
"title"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"status_update_gid"
]
}
asana_utilities_get_statuses_for_object
Get status updates from an object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
parent | string | Yes | — | Globally unique identifier for object to fetch statuses from. Must be a GID for a project, portfolio, or goal. |
created_since | string | No | — | Only return statuses that have been created since the given time. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"parent": {
"type": "string",
"description": "Globally unique identifier for object to fetch statuses from. Must be a GID for a project, portfolio, or goal."
},
"created_since": {
"type": "string",
"description": "Only return statuses that have been created since the given time."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"author",
"author.name",
"created_at",
"created_by",
"created_by.name",
"hearted",
"hearts",
"hearts.user",
"hearts.user.name",
"html_text",
"liked",
"likes",
"likes.user",
"likes.user.name",
"modified_at",
"num_hearts",
"num_likes",
"offset",
"parent",
"parent.name",
"path",
"reaction_summary",
"reaction_summary.count",
"reaction_summary.emoji_base",
"reaction_summary.reacted",
"reaction_summary.variant",
"resource_subtype",
"status_type",
"text",
"title",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"parent"
]
}
asana_utilities_get_time_period
Get a time period Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
time_period_gid | string | Yes | — | Globally unique identifier for the time period. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"time_period_gid": {
"type": "string",
"description": "Globally unique identifier for the time period."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"display_name",
"end_on",
"parent",
"parent.display_name",
"parent.end_on",
"parent.period",
"parent.start_on",
"period",
"start_on"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"time_period_gid"
]
}
asana_utilities_get_time_periods
Get time periods Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
start_on | string | No | — | ISO 8601 date string |
end_on | string | No | — | ISO 8601 date string |
workspace | string | Yes | — | Globally unique identifier for the workspace. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"start_on": {
"type": "string",
"description": "ISO 8601 date string"
},
"end_on": {
"type": "string",
"description": "ISO 8601 date string"
},
"workspace": {
"type": "string",
"description": "Globally unique identifier for the workspace."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"display_name",
"end_on",
"offset",
"parent",
"parent.display_name",
"parent.end_on",
"parent.period",
"parent.start_on",
"path",
"period",
"start_on",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"workspace"
]
}
asana_utilities_get_timesheet_approval_status
Get a timesheet approval status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timesheet_approval_status_gid | string | Yes | — | Globally unique identifier for the timesheet approval status. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timesheet_approval_status_gid": {
"type": "string",
"description": "Globally unique identifier for the timesheet approval status."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"created_at",
"end_date",
"start_date",
"user",
"user.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"timesheet_approval_status_gid"
]
}
asana_utilities_get_timesheet_approval_statuses
Get multiple timesheet approval statuses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
workspace | string | Yes | — | Globally unique identifier for the workspace. |
user | string | No | — | Globally unique identifier for the user to filter timesheet approval statuses by. |
from_date | string | No | — | The start date for filtering timesheet approval statuses. |
to_date | string | No | — | The end date for filtering timesheet approval statuses. |
approval_statuses | string | No | — | Filter by approval status. Can be one or more of draft, submitted, approved, or rejected. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"workspace": {
"type": "string",
"description": "Globally unique identifier for the workspace."
},
"user": {
"type": "string",
"description": "Globally unique identifier for the user to filter timesheet approval statuses by."
},
"from_date": {
"type": "string",
"description": "The start date for filtering timesheet approval statuses."
},
"to_date": {
"type": "string",
"description": "The end date for filtering timesheet approval statuses."
},
"approval_statuses": {
"type": "string",
"description": "Filter by approval status. Can be one or more of draft, submitted, approved, or rejected."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"created_at",
"end_date",
"offset",
"path",
"start_date",
"uri",
"user",
"user.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"workspace"
]
}
asana_utilities_get_webhook
Get a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_gid | string | Yes | — | Globally unique identifier for the webhook. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_gid": {
"type": "string",
"description": "Globally unique identifier for the webhook."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"active",
"created_at",
"delivery_retry_count",
"failure_deletion_timestamp",
"filters",
"filters.action",
"filters.fields",
"filters.resource_subtype",
"last_failure_at",
"last_failure_content",
"last_success_at",
"next_attempt_after",
"resource",
"resource.name",
"target"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"webhook_gid"
]
}
asana_utilities_get_webhooks
Get multiple webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
limit | integer | No | — | Results per page. The number of objects to return per page. The value must be between 1 and 100. |
offset | string | No | — | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request. |
workspace | string | Yes | — | The workspace to query for webhooks in. |
resource | string | No | — | Only return webhooks for the given resource. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"limit": {
"type": "integer",
"description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
},
"offset": {
"type": "string",
"description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
},
"workspace": {
"type": "string",
"description": "The workspace to query for webhooks in."
},
"resource": {
"type": "string",
"description": "Only return webhooks for the given resource."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"active",
"created_at",
"delivery_retry_count",
"failure_deletion_timestamp",
"filters",
"filters.action",
"filters.fields",
"filters.resource_subtype",
"last_failure_at",
"last_failure_content",
"last_success_at",
"next_attempt_after",
"offset",
"path",
"resource",
"resource.name",
"target",
"uri"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
}
},
"required": [
"PCID",
"workspace"
]
}
asana_utilities_reject_access_request
Reject an access request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
access_request_gid | string | Yes | — | Globally unique identifier for the access request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"access_request_gid": {
"type": "string",
"description": "Globally unique identifier for the access request."
}
},
"required": [
"PCID",
"access_request_gid"
]
}
asana_utilities_trigger_rule
Trigger a rule Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
rule_trigger_gid | string | Yes | — | The ID of the incoming web request trigger. This value is a path parameter that is automatically generated for the API endpoint. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"rule_trigger_gid": {
"type": "string",
"description": "The ID of the incoming web request trigger. This value is a path parameter that is automatically generated for the API endpoint."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"resource": {
"type": "string",
"description": "The ID of the resource. For the duration of the beta, this resource is always a task, and this task must exist in the project in which the rule is created."
},
"action_data": {
"type": "object",
"description": "The dynamic keys and values of the request. These fields are intended to be used in the action for the rule associated with this trigger."
}
},
"required": [
"resource",
"action_data"
]
}
},
"required": [
"PCID",
"rule_trigger_gid"
]
}
asana_utilities_update_timesheet_approval_status
Update a timesheet approval status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timesheet_approval_status_gid | string | Yes | — | Globally unique identifier for the timesheet approval status. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | A request to update a timesheet approval status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timesheet_approval_status_gid": {
"type": "string",
"description": "Globally unique identifier for the timesheet approval status."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"approval_status",
"created_at",
"end_date",
"start_date",
"user",
"user.name",
"workspace",
"workspace.name"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "A request to update a timesheet approval status.",
"properties": {
"approval_status": {
"type": "string",
"description": "The desired approval status to transition to. Valid transitions depend on the current status of the timesheet approval status.",
"enum": [
"submitted",
"draft",
"approved",
"rejected"
]
},
"message": {
"type": "string",
"description": "Optional message to include with the transition (e.g., reason for approval or rejection)."
}
},
"required": [
"approval_status"
]
}
},
"required": [
"PCID",
"timesheet_approval_status_gid"
]
}
asana_utilities_update_webhook
Update a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_gid | string | Yes | — | Globally unique identifier for the webhook. |
opt_pretty | boolean | No | — | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
opt_fields | string[] | No | — | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. |
data | object | No | — | The data value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_gid": {
"type": "string",
"description": "Globally unique identifier for the webhook."
},
"opt_pretty": {
"type": "boolean",
"description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
},
"opt_fields": {
"type": "array",
"items": {
"type": "string",
"enum": [
"active",
"created_at",
"delivery_retry_count",
"failure_deletion_timestamp",
"filters",
"filters.action",
"filters.fields",
"filters.resource_subtype",
"last_failure_at",
"last_failure_content",
"last_success_at",
"next_attempt_after",
"resource",
"resource.name",
"target"
]
},
"description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
},
"data": {
"type": "object",
"description": "The data value",
"properties": {
"filters": {
"type": "array",
"description": "An array of WebhookFilter objects to specify a whitelist of filters to apply to events from this webhook. If a webhook event passes any of the filters the event will be delivered; otherwise no event will be sent to the receiving server."
}
}
}
},
"required": [
"PCID",
"webhook_gid"
]
}

